## API Report File for "@fluentui/react-tabs"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import type { IntrinsicShorthandProps } from '@fluentui/react-utilities';
import * as React_2 from 'react';

// @public
export const renderTab: (state: TabState) => JSX.Element;

// @public
export const renderTabList: (state: TabListState, contextValues: TabListContextValues) => JSX.Element;

// @public (undocumented)
export type SelectTabData = {
    value: TabValue;
};

// @public (undocumented)
export type SelectTabEvent<E = HTMLElement> = React_2.MouseEvent<E> | React_2.KeyboardEvent<E>;

// @public (undocumented)
export type SelectTabEventHandler = (event: SelectTabEvent, data: SelectTabData) => void;

// @public
export const Tab: ForwardRefComponent<TabProps>;

// @public (undocumented)
export const tabClassName = "fui-Tab";

// @public (undocumented)
export type TabCommons = {
    value: TabValue;
};

// @public
export const TabList: ForwardRefComponent<TabListProps>;

// @public (undocumented)
export const tabListClassName = "fui-TabList";

// @public (undocumented)
export type TabListCommons = {
    appearance?: 'transparent' | 'subtle';
    onTabSelect?: SelectTabEventHandler;
    selectedValue?: TabValue;
    size?: 'small' | 'medium';
    vertical?: boolean;
};

// @public (undocumented)
export type TabListContextValue = Pick<TabListCommons, 'onTabSelect' | 'selectedValue'> & Required<Pick<TabListCommons, 'appearance' | 'size' | 'vertical'>> & {
    onSelect: SelectTabEventHandler;
};

// @public
export type TabListContextValues = {
    tabList: TabListContextValue;
};

// @public
export type TabListProps = ComponentProps<TabListSlots> & TabListCommons & {
    defaultSelectedValue?: TabValue;
};

// @public
export const tabListShorthandProps: (keyof TabListSlots)[];

// @public (undocumented)
export type TabListSlots = {
    root: IntrinsicShorthandProps<'div'>;
};

// @public
export type TabListState = ComponentState<TabListSlots> & TabListContextValue;

// @public
export type TabProps = ComponentProps<TabSlots> & TabCommons;

// @public
export const tabShorthandProps: (keyof TabSlots)[];

// @public (undocumented)
export type TabSlots = {
    root: IntrinsicShorthandProps<'div'>;
    icon?: IntrinsicShorthandProps<'span'>;
    content: IntrinsicShorthandProps<'span'>;
};

// @public
export type TabState = ComponentState<TabSlots> & TabCommons & {
    appearance?: string;
    selected?: boolean;
    size: 'small' | 'medium';
    vertical: boolean;
};

// @public
export type TabValue = unknown;

// @public
export const useTab: (props: TabProps, ref: React_2.Ref<HTMLElement>) => TabState;

// @public
export const useTabList: (props: TabListProps, ref: React_2.Ref<HTMLElement>) => TabListState;

// @public
export const useTabListStyles: (state: TabListState) => TabListState;

// @public
export const useTabStyles: (state: TabState) => TabState;

// (No @packageDocumentation comment for this package)

```
